<?php
date_default_timezone_set('America/Los_Angeles');

$str = file_get_contents(__DIR__ . "/excel.json");
$json = json_decode($str, true);
$filename = "DATE$json[id]-" . date('Ymd') . ".xls";
header("Content-type: application/vnd.ms-excel; charset=utf-8");
header("Content-Disposition: attachment; filename=" . $filename);
print("<meta http-equiv=\"Content-Type\" content=\"application/vnd.ms-excel; charset=utf-8\">");

include '../class/lib.php';

$rate_arr = [];
$data = mysqli_query($conn, "SELECT id, rate FROM rate");
while ($rate = mysqli_fetch_array($data)) {
    $rate_arr[$rate['id']] = $rate['rate'];
}

$types_query = mysqli_query($conn, "SELECT type FROM m_type");
$types_arr = [];
while ($types = mysqli_fetch_array($types_query)) {
    array_push($types_arr, $types['type']);
}

$where_str = "m.cid = '$ids'";
//$exp = explode(",", $ids);
//foreach ($exp as $key => $id) {
//	if (count($exp) > $key + 1) $where_str .= "m.cid = '$id' OR ";
//	else if (count($exp) === $key + 1) $where_str .= "m.cid = '$id'";
//}

$data2 = mysqli_query($conn, "SELECT u.no, u.name, u.data1, u.opt3, m.date, m.data13, m.type, m.rate FROM user u JOIN m_input1 m ON u.no = m.cid WHERE m.data13 != '' AND m.date BETWEEN '$start' AND '$end' AND ($where_str) ORDER BY u.no, m.date");
$data3 = mysqli_query($conn, "SELECT name, data1, opt3 FROM user WHERE no = '$ids'");
//$last_no = '';
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <title></title>
    <meta charset="UTF-8">
    <style>
        table {
            width: 100%;
            border: 1px solid #444444;
            border-collapse: collapse;
        }

        th, td {
            border: 1px solid #444444;
        }

        .bg-color-lg {
            background: lightgrey;
        }
    </style>
</head>
<body>
<table>
    <?php
    $result = mysqli_fetch_array($data2);
    $user = mysqli_fetch_array($data3);
    // while ($result = mysqli_fetch_array($data2)) {
    //		if ($last_no !== $result['no']) {
    //			$last_no = $result['no']; ?>
    <tr></tr>
    <tr>
        <th class="bg-color-lg">부서</th>
        <td><?=$user['opt3'];?></td>
    </tr>
    <tr>
        <th class="bg-color-lg">사번</th>
        <td><?=$user['data1'];?></td>
    </tr>
    <tr>
        <th class="bg-color-lg">이름</th>
        <td><?=$user['name'];?></td>
    </tr>
    <tr>
        <th class="bg-color-lg">Cost Center</th>
        <td></td>
    </tr>
    <tr>
        <th class="bg-color-lg">Date</th>
        <th class="bg-color-lg">G/L Code</th>
        <th class="bg-color-lg">G/L Account</th>
        <th class="bg-color-lg" colspan="2">상세주소</th>
        <th class="bg-color-lg">Distance</th>
        <th class="bg-color-lg">Rate</th>
        <th class="bg-color-lg">Amount</th>
        <th class="bg-color-lg">Remark</th>
    </tr>
    <tr>
        <th class="bg-color-lg">날짜</th>
        <th class="bg-color-lg">계정번호</th>
        <th class="bg-color-lg">계정명</th>
        <th class="bg-color-lg">출발지</th>
        <th class="bg-color-lg">도착지</th>
        <th class="bg-color-lg">(Mile)</th>
        <th class="bg-color-lg"><?= $rate_arr[$result['rate']]; ?></th>
        <th class="bg-color-lg">금액</th>
        <th class="bg-color-lg">상세내역</th>
    </tr>
    <?php // }

    $exp = explode('|', $result['data13']);
    $count = count($exp);
    $cnt = floor($count / 6);

    for ($i = 0; $i < $cnt; $i++) { ?>
        <tr>
            <td><?= $result['date']; ?></td>
            <td>54031000</td>
            <td>Mileage Reimbursement</td>
            <td><?= $exp[$i * 6 + 1]; ?></td>
            <td><?= $exp[$i * 6 + 2]; ?></td>
            <td><?= $exp[$i * 6 + 4]; ?></td>
            <td><?= $rate_arr[$result['rate']]; ?></td>
            <td><?= $exp[$i * 6 + 4] * $rate_arr[$result['rate']]; ?></td>
            <td><?= $types_arr[explode("|", $result['type'])[$i] - 1]; ?></td>
        </tr>
    <?php } ?>
    <?php // } ?>
</table>
</body>
</html>